.header__inner {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 8px;
    position: relative;
    height: 200px;
}

.header__logo {
    position: absolute;
    left: 8px;
    width: 192px;
    aspect-ratio: 1/1;
}
.custom-logo-link {
    position: absolute;
    left: 8px;
    width: 192px;
    aspect-ratio: 1/1;
}
.custom-logo-link img {
    width: 100%;
    height: 100%;
}
.header__logo img {
    width: 100%;
}

.header__sitename {
    font-size: 48px;
    letter-spacing: -0.96px;
    margin: 65px 0 0 0;
}

.header__sitename b {
    font-family: inherit;
    font-size: 64px;
    letter-spacing: -0.96px;
}

.header__contacts {
    position: absolute;
    top: 60px;
    right: 100px;
    display: flex;
    gap: 20px;
    align-items: center;
}

.header__contacts span {
    font-size: 20px;
    font-weight: 700;
}

.header__contacts a {
    font-size: 20px;
}

.header__contacts a:hover {
    text-decoration: underline;
}

.description {
    margin-bottom: var(--mb);
}

.description__wrapper {
    width: 980px;
    margin: 0 auto;
}

.description p {
    font-size: 20px;
    font-weight: 400;
    text-align: center;
    margin: 0 0 10px 0;
}

.description p.first-letter::first-letter {
    color: #F73C3C;
    font-family: "Ruslan Display" ;
    font-weight: 700;
    font-size: 64px;
    line-height: .5;
}

.description strong {
    font-size: 20px;
    font-weight: 700;
}

.description b {
    color: #F73C3C;
    font-size: 20px;
    font-weight: 700;
}

.search {
    margin-bottom: var(--mb);
    display: flex;
    gap: 60px;
    padding: 0 110px;
}

.search__wrapper {
    display: flex;
    flex-direction: column;
    gap: 5px;
    width: calc(100% - 430px);
}

.search__title {
    display: flex;
}

.search__title span:nth-child(1) {
    width: 230px;
}

.search__title span:nth-child(2) {
    width: calc(100% - 230px);
}

.search__title span {
    text-align: center;
    font-size: 24px;
    letter-spacing: -0.48px;
}

.search__title span::first-letter {
    font-size: 32px;
}

.search__input {
    display: flex;
}

.search__input input {
    width: 230px;
    background-color: #FFF;
    border: 1px solid #828282;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25) inset;
    height: 70px;
    border-radius: 15px 0 0 15px;
    padding: 10px;
    font-size: 18px;
    transition-duration: .2s;
}

.search__input input:hover {
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.3) inset;
    border: 1px solid #575757;
}

.search__result {
    width: calc(100% - 230px);
    border-radius: 0 15px 15px 0;
    border: 1px solid #000;
    border-left: none;
    background: #E5E5E5;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.search__send {
    width: 370px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.search__send span {
    text-align: center;
    font-size: 24px;
    letter-spacing: -0.48px;
    min-height: 62px;
    margin: 0 0 5px 0;
}

.search__send span::first-letter {
    font-size: 32px;
}

.search__send input {
    width: 100%;
    height: 70px;
    border-radius: 15px;
    border: 1px solid #000;
    background: #FFF;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25) inset;
    margin: 0 0 20px 0;
    padding: 10px;
    font-size: 18px;
    transition-duration: .2s;
}

.search__send input:hover {
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.3) inset;
    border: 1px solid #575757;
}

.search__send button {
    width: 290px;
    height: 66px;
}

.search__text {
	font-size: 14px;
	margin-top: 10px;
}

.separator {
    padding: 0 110px;
    margin-bottom: var(--mb);
}

.separator img {
    width: 100%;
}

.variants {
    margin-bottom: var(--mb);
}

.variants__wrapper {
    display: flex;
    gap: 120px;
    padding: 0 110px;
}

.variants__task {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 280px;
}

.variants__task__title {
    text-align: center;
    font-size: 24px;
    letter-spacing: -0.48px;
    margin: 0 0 5px 0;
}

.variants__task__title::first-letter {
    font-size: 32px;
}

.variants__task__wrapper {
    display: flex;
    flex-direction: column;
    gap: 3px;
    border-radius: 15px;
    border: 2px solid #000;
    background: #FFF;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    width: 100%;
    padding: 30px;
}

.variants__task__wrapper span {
    font-size: 24px;
}

.variants__words {
    width: calc(100% - 400px);
}

.variants__words__title {
    text-align: center;
    font-size: 24px;
    letter-spacing: -0.48px;
    margin: 0 0 5px 0;
}

.variants__words__title::first-letter {
    font-size: 32px;
}

.variants__words__wrapper {
    display: flex;
    flex-direction: column;
    direction: ltr;
}

.variants__words__scroll {
    border-radius: 15px;
    border: 2px solid #828282;
    border-left: none;
    background: #FFF;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    height: 390px;
    padding: 5px 5px 5px 10px;
    overflow-x: auto;
    direction: rtl;
}

.variants__words__scroll::-webkit-scrollbar {
    width: 20px;
}

.variants__words__scroll::-webkit-scrollbar-thumb {
    background: #828282;
    border-radius: 10px;
}

.variants__words__scroll::-webkit-scrollbar-track {
    background: #FFF;
    border-radius: 15px;
    border: 1px solid #000;
}

.variants__words__row {
    display: flex;
    align-items: flex-start;
    gap: 15px;
    padding: 5px;
    position: relative;
}

.variants__words__row:not(:last-child) {
    margin: 0 0 12px 0;
    padding: 0 0 12px 0;
    border-bottom: 4px solid #D9D9D9;
}

.variants__words__value {
    border-radius: 10px;
    background: #FFF;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25) inset;
    font-size: 20px;
    padding: 7px 20px;
    width: 160px;
	font-family: 'Merriweather';
}

.variants__words__value-list {
    width: calc(100% - 175px);
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    padding: 5px;
    border-radius: 15px;
    border: 1px solid #747474;
    background: #E5E5E5;
}

.footer__inner {
    background-color: #D0CD85;
    height: 280px;
    display: flex;
    justify-content: center;
    align-items: center;
	flex-direction: column;
}

.footer__contacts {
    display: flex;
    gap: 20px;
    align-items: center;
}

.footer__contacts span {
    font-size: 20px;
    font-weight: 700;
}

.footer__contacts a {
    font-size: 20px;
}

.footer__contacts a:hover {
    text-decoration: underline;
}

.alphabet {
    margin-bottom: var(--mb);
    padding: 0 110px;
}

.alphabet__list {
    display: flex;
    margin: 0 0 16px 0;
    justify-content: center;
    gap: 5px;
    flex-wrap: wrap;
}

.alphabet__list a {
    border-radius: 3px;
    border: 1px solid #BC936D;
    width: 36px;
    height: 36px;
    background: #FFF7DB;
    font-size: 20px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    transition-duration: .2s;
}

.alphabet__list a:hover {
    opacity: .8;
    border: 1px solid #d3965d;
}

.alphabet__list a.active {
    pointer-events: none;
    color: #FFF;
    font-weight: 700;
    background: #F73C3C;
}

.alphabet__list a.pale {
    background: #FFFDF4;
}

.alphabet .variants__words__scroll {
    height: 480px;
}
.variants__task__wrapper span {
    cursor: pointer;
	font-family: 'Merriweather';
}

b.not {
    color: red;
    padding: 10px;
}

.socials {
	display: flex;
}

.socials a  {
	display: flex;
	margin: 0 5px;
}

.footer__socials {
	margin-top: 10px;
}